Vulnerabilità: CVE-2020-28169

Il plugin TD-agent-builder prima 2020/12/18 per Fluentd consente agli aggressori di ottenere i privilegi perché la directory bin è scrivibile da un account utente, ma un file in bin viene eseguito come NT AUTHORITY \ SYSTEM.


https://github.com/fluent-plugins-nursery/td-agent-builder/pull/247/commits/6f9cb6393392d62caa99907c0ebbcbab6b94a3f1
https://github.com/fluent/fluentd/issues/3201
https://github.com/kenhys/td-agent-builder/commit/eec6e2dedf12f2e0c01c2bbe7b8c15b639b3b938
http://packetstormsecurity.com/files/160791/Fluentd-TD-agent-4.0.1-Insecure-Folder-Permission.html
https://docs.fluentd.org/installation/install-by-msi
https://td-agent-package-browser.herokuapp.com/4/windows
https://www.fluentd.org/
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-28169


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi